Package org.apache.solr.common

## Class ConditionalKeyMapWriter

- java.lang.Object
- - org.apache.solr.common.ConditionalKeyMapWriter

All Implemented Interfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`

    public class ConditionalKeyMapWriter
    extends Object
    implements MapWriter

### Nested Class Summary

Nested Classes
`static class` `ConditionalKeyMapWriter.EntryWriterWrapper`

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

### Constructor Summary

Constructors
`ConditionalKeyMapWriter​(MapWriter delegate, Predicate<CharSequence> predicate)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Predicate<CharSequence>` `dedupeKeyPredicate​(Set<CharSequence> keys)`
`void` `writeMap​(MapWriter.EntryWriter ew)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Constructor Detail

#### ConditionalKeyMapWriter

    public ConditionalKeyMapWriter​(MapWriter delegate,
                                   Predicate<CharSequence> predicate)

### Method Detail

#### writeMap

    public void writeMap​(MapWriter.EntryWriter ew)
                  throws IOException

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

#### dedupeKeyPredicate

    public static Predicate<CharSequence> dedupeKeyPredicate​(Set<CharSequence> keys)